| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
cv::detail::tracking::tbm Namespace Reference
Tracking API » Tracking API implementation details

## Classes
class | CosDistance
| The CosDistance class allows computing cosine distance between two reidentification descriptors. More...
class | IDescriptorDistance
| The IDescriptorDistance class declares an interface for distance computation between reidentification descriptors. More...
class | IImageDescriptor
| The IImageDescriptor class declares base class for image descriptor. More...
class | ITrackerByMatching
| Tracker-by-Matching algorithm interface. More...
class | MatchTemplateDistance
| Computes distance between images using MatchTemplate function from OpenCV library and its cross-correlation computation method in particular. More...
class | ResizedImageDescriptor
| Uses resized image as descriptor. More...
class | Track
| The Track class describes tracks. More...
struct | TrackedObject
| The TrackedObject struct defines properties of detected object. More...
struct | TrackerParams
| The TrackerParams struct stores parameters of TrackerByMatching. More...

## Typedefs
using | ObjectTracks = std::unordered_map<int, TrackedObjects>
| (object id, detected objects) pairs collection.
using | TrackedObjects = std::deque<TrackedObject>

## Functions
cv::Ptr< ITrackerByMatching > | createTrackerByMatching (const TrackerParams &params=TrackerParams())
| The factory to create Tracker-by-Matching algorithm implementation.
bool | operator!= (const TrackedObject &first, const TrackedObject &second)
bool | operator== (const TrackedObject &first, const TrackedObject &second)

## Typedef Documentation

## ◆ ObjectTracks

using cv::detail::tracking::tbm::ObjectTracks = std::unordered_map<int, TrackedObjects>

(object id, detected objects) pairs collection.

## ◆ TrackedObjects

using cv::detail::tracking::tbm::TrackedObjects = std::deque<TrackedObject>

## Function Documentation

## ◆ createTrackerByMatching()

cv::Ptr< ITrackerByMatching > cv::detail::tracking::tbm::createTrackerByMatching | ( | const TrackerParams & | params = TrackerParams() | ) |

The factory to create Tracker-by-Matching algorithm implementation.

## ◆ operator!=()

bool cv::detail::tracking::tbm::operator!= | ( | const TrackedObject & | first,
|  | const TrackedObject & | second )

## ◆ operator==()

bool cv::detail::tracking::tbm::operator== | ( | const TrackedObject & | first,
|  | const TrackedObject & | second )